/*
 *  "groff.c"  -  Turn Graphics board ON or OFF
 *
 *	John Elliott IV		08/25/1986
 */

#include  <sys/ioctl.h>
#include  <sys/graphics.h>

char	screen[] = "/dev/graphics";
char	cantopen[] = "Can't open ";

main(argc, argv)
  int	argc;
  char	**argv;
{
	register int	fd;
	unsigned short	arg;

	fd = open(screen, 0);
	if (fd < 0) {
		write(2, cantopen, sizeof(cantopen));
		perror(screen);
		exit(1);
	}

	if (strcmp(*argv, "groff") == 0) {
		if (ioctl(fd, GIOCGETC, &arg) < 0)
			perror("ioctl GET");
		arg &= ~GR_ENABLE;
		if (ioctl(fd, GIOCSETC, &arg) < 0)
			perror("ioctl SET");
	}

	close(fd);
}
