/*****************************************

z80halt.h -- Interface to z80 HALT arming byte

Copyright (C) Tandy Corporation, 1984.

This file must be kept consistent with z80/ctl/68kdefs.h

******************************************

****/


#define	ARMz80	0x15		/* Magic number to enable a HALT */
#define MSGSAFE	0x40		/* The message save sector was written to */
#define HDPARK	0x80		/* Enable head park on hard disks bit */

/*  Doomsday enable byte. (z80halt & 0x7f) must be equal to ARMz80 
    to enable a HALT.  The high bit is used to tell the z80 whether
    or not to park the heads on the hard drives on shutdown */
unsigned char	z80halt;
