/*****************************************

z80msgbuf.h -- Interface to z80 message buffer mailbox

Copyright (C) Tandy Corporation, 1986.

This file must be kept consistent with z80/ctl/68kdefs.h

******************************************

****/


#define	ZMQSIZE	128	/* Makes easy for Z80 to add to */


#define ZMMAGIC	0x2E6D7367
struct zm_dkbuf {
	int	magic;		/* Should be ".msg", ZMMAGIC above */
	int	msgbufi;	/* Index to buffer pointer */
	char	mbuf[MSGBUFS];	/* Copy of msgbuf[] when system went down */
};


struct zm_iopb {
	short	zm_6front;		/* Index to front of 68000 msgbuf[] */
	uchar_t	zm_front;		/* Index to front of z80 msg queue */
	uchar_t	zm_back;		/* Index to rear of z80 msg queue */
	char	zm_z80[ZMQSIZE];	/* Actual z80 msg queue */
	char	zm_68k[MSGBUFS];	/* Actual 68000 msgbuf[] */
};

struct zm_iopb	z80msgbuf;
