/*
 *  "version.c" -  Keeper of XENIX's version message
 *
 * THIS FILE CONTAINS CODE SPECIFIC TO THE Tandy TRS-80 MODEL 16
 * COMPUTER. IT MAY REQUIRE MODIFICATION WHEN MOVING
 * XENIX TO DIFFERENT MACHINE ARCHITECTURES OR CONFIGURATIONS.
 */


/*
 *  The following notice should checksum (mod 2^32) to LEGALSUM.
 */

#ifdef M68010
#define LOFFS  62
/* 30466 == 0x7702 */
#define	LEGALSUM  (int)30466

/*#define TEST*/
#ifdef TEST
char Legal[] = "[ q\
Tandy 68010/XENIX version 3.3(03) \
   [Test version; RDNOTR@ for distribution]\n\n\
Microsoft  XENIX  v3.0\r\n\n\0\
Copyright Microsoft Corporation, 1984.  All rights reserved.\r\n\
Licensed to Tandy Corporation.\r\n\
THIS KERNEL IS PROVIDED AS-IS.  NO WARANTIES ARE EXPRESSED OR IMPLIED.\n\
Restricted rights:  Use,  duplication,  and  disclosure  are  subject\r\n\
to the terms stated in the customer Non-Disclosure Agreement.\r\n\n\
So there.  Nyaah.\r\n\n";
#else /*TEST*/
char Legal[] = "\
Tandy 68010/XENIX version 3.3(03) \n\n\
Microsoft  XENIX  v3.0\r\n\n\0\
Copyright Microsoft Corporation, 1984.  All rights reserved.\r\n\
Licensed to Tandy Corporation.\r\n\
THIS KERNEL IS PROVIDED AS-IS.  NO WARANTIES ARE EXPRESSED OR IMPLIED.\n\
Restricted rights:  Use,  duplication,  and  disclosure  are  subject\r\n\
to the terms stated in the customer Non-Disclosure Agreement.\r\n\n";
#endif /*TEST*/

char version[] = "@(#) 68010 kernel v3.3(03) \n";
#else /*M68010*/
#define LOFFS  62
/* 31889 == 0x7c91 */
#define	LEGALSUM  (int)31889

/*#define TEST*/
#ifdef TEST
char Legal[] = "[ q\
Tandy 68000/XENIX version 3.3(03) \
   [Test version; RDNOTR@ for distribution]\n\n\
Microsoft  XENIX  v3.0\r\n\n\0\
Copyright Microsoft Corporation, 1984.  All rights reserved.\r\n\
Licensed to Tandy Corporation.\r\n\
Portions copyright 1985,1987 Tandy Corporation.  All rights reserved.\r\n\
Restricted rights:  Use,  duplication,  and  disclosure  are  subject\r\n\
to the terms stated in the customer Non-Disclosure Agreement.\r\n\n\
So there.  Nyaah.\r\n\n";
#else /*TEST*/
char Legal[] = "\
Tandy 68000/XENIX version 3.3(03) \n\n\
Microsoft  XENIX  v3.0\r\n\n\0\
Copyright Microsoft Corporation, 1984.  All rights reserved.\r\n\
Licensed to Tandy Corporation.\r\n\
Portions copyright 1985,1987 Tandy Corporation.  All rights reserved.\r\n\
Restricted rights:  Use,  duplication,  and  disclosure  are  subject\r\n\
to the terms stated in the customer Non-Disclosure Agreement.\r\n\n";
#endif /*TEST*/

char version[] = "@(#) 68000 kernel v3.3(03) \n";
#endif /*M68010*/
char date[] = "Wed Aug 31 13:30:08 CDT 1988\n";
