#include  <stdio.h>
#include  <sd.h>

char	*sdget(), *malloc(), *sbrk(), *tmpnam();


main(argc, argv)
  int	argc;
  char	**argv;
{
	long	size;
	char	*scrfile, *mysd, *myname;

	myname = *argv;
	--argc, ++argv;

	if (argc != 1) {
		fprintf(stderr, "%s: Too %s args\n", 
					myname,
					(argc<1)? "few" : "many");
		fprintf(stderr, "Usage: %s <sd-size>\n", myname);
		exit(1);
	}

	size = atol(*argv);

	/* Get a name-space entry */
	scrfile = tmpnam((char *)NULL);

	printf("sbrk(0) ==> 0x%lx\n", sbrk(0));

	printf("sdget(\"%s\", SD_WRITE|SD_CREAT, %ld, 0666)", scrfile, size);
	mysd = sdget(scrfile, SD_WRITE|SD_CREAT, size, 0666);
	if (mysd == (char *)-1) {
		fflush(stdout);
		perror(" ");
	} else
		printf(" ==> 0x%lx\n", mysd);
	printf("sbrk(0) ==> 0x%lx\n", sbrk(0));

	printf("sdfree(0x%lx)\n", mysd);
	sdfree(mysd);
	printf("sbrk(0) ==> 0x%lx\n", sbrk(0));

	unlink(scrfile);
}
