/*
 *  "gclear.c"  -  Clear graphics memory
 *
 *	John Elliott IV		08/25/1986
 */

#include  <sys/ioctl.h>
#include  <sys/graphics.h>

extern int	errno;


char	screen[] = "/dev/graphics";
char	cantopen[] = "Can't open ";


char	buff[80][240];


main(argc, argv)
  int	argc;
  char	**argv;
{
	register int	fd, rval;
	int		ctlwrd;		/* Can't be register */

	fd = open(screen, 2);
	if (fd < 0) {
		write(2, cantopen, sizeof(cantopen));
		perror(screen);
		exit(1);
	}

	ctlwrd = (GR_ENABLE|GR_WAITS);
	if (ioctl(fd, GIOCCBIC, &ctlwrd) < 0) {
		perror("Can't alter control word");
		exit(1);
	}

	errno = 0;
	rval = write(fd, buff, sizeof (buff));
	if (rval != sizeof (buff)) {
		printf("%s write error: wanted %d, got %d; ", 
					*argv,
					sizeof (buff),
					rval);
		perror("");
	}

	close(fd);
}
