BEGIN {
	nfiles = 0;
	nstructs = 0;
	ifiles[nfiles++] = "<sys/types.h>";
	lastfile = "";
}

/struct[ 	][ 	]*[a-zA-Z_]/ {
	line = substr($0, index($0, "struct"), length($0));
	split(line, argv);

	scan = index(FILENAME, "/usr/include");
	if (scan > 0)
		file = "<" substr(FILENAME, scan + 13, length(FILENAME)) ">";
	else
		file = "\"" FILENAME "\"";

	if (lastfile != file) {
		ifiles[nfiles++] = file;
		lastfile = file;
	}

	name = "";
	for (i = 1; i <= length(argv[2]); ++i) {
		c = substr(argv[2], i, 1);
		if (c >= "A" && c <= "Z" || c >= "a" && c <= "z" || c == "_")
			name = name c;
		else
			break;
	}

	for (i = 0; i < nstructs; ++i) {
		if (name == names[i])
			next;
	}
	names[nstructs++] = name;

   #	printf("file \"%s\"; %s name = \"%s\"\n", file, argv[1], name);
}

END {
	for (i = 0; i < nfiles; ++i)
		printf("#include  %s\n", ifiles[i]);

	printf("\nmain()\n{\n");

	for (i = 0; i < nstructs; ++i)
		printf("\tprintf(\"sizeof (struct %s) = %%d\\n\", sizeof (struct %s));\n", names[i], names[i]);

	printf("}\n");
}
