/*
 *	Tandy 68000/XENIX virtual console driver's defines
 */

#undef SPL
#define	SPL	spl4

/*#define SCRNSAVE	/* Define to include screen-saver code */

#define _conputc(c)	putc(c, &ser_tty[0].t_outq)

#define CONSIZE  (sizeof (struct vscr) + sizeof (struct tty))
#define CWIDTH	80
#define CDEPTH	24

#undef ESC
#define ESC	(0x1B)
#define DEL	(0x7F)
#define CTRL(c)  ((c) & 0x1f)
#define isprint(c)  ((c) >= ' ' && (c) <= '~')


typedef unsigned int  u_int;
typedef unsigned short  u_short;
typedef unsigned char  u_char;

struct vscr {
	u_char	x, y;			/* Current cursor position */
	u_char	flags;
	u_char	savetime;		/* Screen-saver timeout value */
	int	(*disp)();		/* Current output dispatch routine */
	int	(*input)();		/* Current input scan routine */
	u_char	scr[CDEPTH][CWIDTH];	/* The screen buffer */
};

#define C_SCRNSVR	0x0001		/* The screen-saver is enabled */
#define C_CURBLNK	0x0002		/* The cursor is in blink mode */
#define C_CURBLOK	0x0004		/* The cursor is a block */
#define C_CURVIS	0x0008		/* The cursor is visible */
#define C_MONITOR	0x0010		/* This screen is in monitor mode */
#define C_WASMONR	0x0020		/* This screen was in monitor mode */
#define C_GRAPHIC	0x0040		/* This screen is in graphics mode */
#define	C_REVERSE	0x0080		/* This screen is in reverse mode */
