/*
 *  "fvtest.c"  -  Fast video test program
 *
 *	John Elliott IV		08/03/1984
 */

#include  <sgtty.h>

	 char	screen[] = "/dev/screen";
	 char	cantopen[] = "Can't open ";
unsigned char	sbuff[80 * 24 + 256];

main()
{
	register int	fd, i, rval;
	register unsigned char	*ptr;

	fd = open(screen, 1);
	if (fd < 0) {
		write(2, cantopen, sizeof(cantopen));
		perror(screen);
		exit(1);
	}

	for (i = 0, ptr = sbuff; i < 80 * 24; ++i, ++ptr)
		*ptr = ' ';
	rval = write(fd, sbuff, 80 * 24);
	if (rval != 80 * 24) {
		perror("write1 failed");
		exit(1);
	}

	for (i = 0, ptr = sbuff; i < 80 * 24 + 256; ++i, ++ptr)
		*ptr = i % 256;
	
	for ( ; ; ) {
		for (i = 0; i < 256; ++i) {
			lseek(fd, (long)0, 0);
			rval = write(fd, &sbuff[i], 80 * 20);
			if (rval != 80 * 20) {
				perror("write2 failed");
				exit(1);
			}
		}
	}
	/*NOTREACHED*/
}
