/*
 *  "fvtest2.c"  -  YAFVTP (Yet Another Fast Video Test Program)
 *
 *	John Elliott IV		08/03/1984
 */

#include  <sgtty.h>

	 char	screen[] = "/dev/screen";
	 char	cantopen[] = "Can't open ";

main()
{
	register int	fd, pos, rval;
	unsigned char	c;

	fd = open(screen, 1);
	if (fd < 0) {
		write(2, cantopen, sizeof(cantopen));
		perror(screen);
		exit(1);
	}

	ioctl(fd, TIOCNXCL, (struct sgttyb *)0);
	srand((int)time(0));
	for ( ; ; ) {
		pos = rand() % (80 * 20);
		c = (rand() % 3 == 0)? ' ' : (rand() % 256);
		lseek(fd, (long)pos, 0);
		rval = write(fd, &c, 1);
		if (rval != 1) {
			perror("write failed");
			exit(1);
		}
	}
	/*NOTREACHED*/
}
