/*
 *  "gfill.c"  -  Write all `1's pattern to the graphics board
 *
 *	John Elliott IV		08/25/1986
 */

#include  <sys/ioctl.h>

extern int	errno;


char	screen[] = "/dev/graphics";
char	cantopen[] = "Can't open ";


char	buff[80];
char	*myname;


main(argc, argv)
  int	argc;
  char	**argv;
{
	register int	fd, i;
	register char	*cp;

	myname = *argv;

	fd = open(screen, 2);
	if (fd < 0) {
		write(2, cantopen, sizeof(cantopen));
		perror(screen);
		exit(1);
	}

	for (cp = buff; cp < &buff[80]; ++cp)
		*cp = (char)0xFF;

	for (i = 1; i <= 240; ++i)
		gwrite(fd, buff, 80);

	close(fd);
}

gwrite(fd, buff, size)
  int	fd;
  char	*buff;
  int	size;
{
	register int	rval;

	rval = write(fd, buff, size);
	if (rval != size) {
		printf("%s write error: wanted %d, got %d; ", 
					myname,
					sizeof (buff),
					rval);
		perror("");
	}
}
