/*
 *  "acu.h"  -  Defines for acu pseudo-dialer module
 */


#define tolower(c)	(((c)>='a' && (c)<='z')? (c)-'A'+'a' : (c))
#define	ACUMAXNR  35

/*
 *  Bits in the ACU minor number
 */
#define	ISACU		0x80	/* High bit ON for acu's minor number */
#define ACUMINR		0x1f	/* minor(dev) & ACUMINR = minor # of dialer */

#define	ASPEED(m)  (((m) & 0x60) >> 5)	/* return speed code from a minor # */
#define	AS_AUTO		0	/* Automagically figure out dial-out speed */
#define	AS_300		1	/* Unconditionally dial out at 300 baud */
#define	AS_1200		2	/* Unconditionally dial out at 1200 baud */
#define	AS_UNDEF	3	/* Not defined, reserved */
