/*
 *  "graphics.c"	Fake graphics driver
 *
 *   Copyright 1986 Tandy Corporation
 */

#include  "../h/param.h"
#include  "../h/conf.h"
#include  "../h/dir.h"
#include  "../h/user.h"
#include  "../h/proc.h"


extern short	fio_pid;

short	grflags = 0;
#define ISOPEN	0x0001


/*ARGSUSED*/
gropen(dev, flag)
  register dev_t  dev;
  int	flag;
{
	int	pid;

	pid = u.u_procp->p_pid;
	printf("%d: gropen: executing...\n", pid);
	if (grflags & ISOPEN) {
		asm("	movw	d0,/780F00");		/* ICE breakpoint */
		u.u_error = EBUSY;
	}
	else {
		grflags |= ISOPEN;
		fio_pid = pid;
	}
}

grclose(dev)
  dev_t	dev;
{
	printf("%d: grclose: executing...\n", u.u_procp->p_pid);
	grflags &= ~ISOPEN;
	fio_pid = 0;
}

/*ARGSUSED*/
grread(dev)
  dev_t	dev;
{
	/* return EOF */
}

grwrite(dev)
  dev_t	dev;
{
	u.u_base += u.u_count;
	u.u_offset += u.u_count;
	u.u_count = 0;
}

/*ARGSUSED*/
grioctl(dev, cmd, addr, flag)
  dev_t	dev;
  caddr_t addr;
{
	/* Any ioctl is OK with me... */
}

grintr()
{
}
