/*
 *  "z80halt.c"	 Ask the z80 to halt or reboot as apropriate
 *
 *   Copyright 1986 Tandy Corporation
 *
 *	21 May 1986	jeIV 
 */

#include "../h/z80attn.h"
#include "../h/z80halt.h"

extern unsigned char	hdpark,
			reboot;

zhalt()
{
	register int	request;

	z80halt |= ARMz80;			/* Arm the bomb, Scotty! */
	if (hdpark)
		z80halt |= HDPARK;

	/* The Z80 wants a RqStart to HALT, and a RqSTwrite to reboot */
	request = reboot? RqSTwrite : RqStart;

	z80attn(CPUdev, 0, request);		/* Boooooooooooom! */
}
