/*
 *	@(#) sys/cprite.c 1.3 83/10/23 Copyright Microsoft Corporation, 1983
 *
 *  $Header: cprite.c,v 6.0 87/10/12 17:09:10 iv Exp $
 */

/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECHTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 *
 * $Log:	cprite.c,v $
 * Revision 6.0  87/10/12  17:09:10  iv
 * 	- Checkin to lock down 3.2
 * 
 * Revision 5.0  85/08/23  10:34:12  iv
 * 	- Checkin to lock down XENIX 3.1 release
 * 
 * Revision 4.0  85/03/13  14:47:45  iv
 * 	- Checkin to lock down XENIX 3.0(28) release
 * 
 * Revision 3.0  85/01/17  15:42:59  iv
 * 	- Checkin to save XENIX v3.0(23)
 * 
 * Revision 2.0  85/01/10  13:22:12  iv
 * Checkin to save XENIX 3.0(22)
 * 
 * Revision 0.1  84/05/17  15:09:25  iv
 * 	- No code changes.  Added RCS stuff.
 * 
 */


/*
 * put the copyright string on the stack so that crt0 can check that a
 * program is running on a real Xenix.  The string goes after the shell
 * word and before all arguments.
 *
 *
 * NOTE: The copyright string is six bytes long. This is hard coded
 * into param.h as part of the SHWDSZ definition, which is now two
 * plus six (two for the shell, six for copyright.
 */

#include "../h/param.h"

static  char    *cpmsg = "xenix";              /* copyright string */

cprite(ucp)
int ucp;
{
	char *cp;

	cp = cpmsg;
	while (*cp != '\0')
		subyte ((caddr_t) ucp++, *cp++);
}
