/*
 *  Configuration information
 */


#define	NSABUF	0
#define	NHBUF	64
#define	NBUF	0
#define	NINODE	0
#define	NFILE	0
#define	NMOUNT	8
#define	NCALL	25
#define	NPROC	0
#define	NTEXT	0
#define	NCLIST	0
#define	NFLOCKS	0
#define	SMAPSIZ	(NPROC/2)
#define	CMAPSIZ	(NPROC/2)
#define	MAXUPRC	15
#define	HZ	30
#define	CMASK	000
#define	MAXMEM	256
#define	TIMEZONE	(6*60)
#define	DSTFLAG	1

#include	"../h/param.h"
#include	"../h/conf.h"
#include	"../h/iobuf.h"

extern nodev(), nulldev(), novec();


int	dkintr();
int	serintr();
int	lpintr();
int	grintr();

int cont5(){
	dkintr();
};

int cont6(){
	serintr();
	lpintr();
	grintr();
};
extern struct iobuf dktab;
extern dkopen(), dkclose(), dkread(), dkwrite(), dkioctl(),
dkstrategy();
extern seropen(), serclose(), serread(), serwrite(), serioctl();
extern lpopen(), lpclose(), lpwrite(), lpioctl();
extern gropen(), grclose(), grread(), grwrite(), grioctl();
extern acuopen(), acuclose(), acuread(), acuwrite(), acuioctl();
extern mmread(), mmwrite();
extern syopen(), syread(), sywrite(), syioctl();

struct	bdevsw bdevsw[]=
{
/* 0*/	nodev,     nodev,     nodev,        0,
/* 1*/	dkopen,    dkclose,   dkstrategy,   &dktab,
};

struct	cdevsw cdevsw[]=
{
/* 0*/  seropen,   serclose,  serread,   serwrite,  serioctl,
/* 1*/  nodev,     nodev,     nodev,     nodev,     nodev,
/* 2*/  syopen,    nulldev,   syread,    sywrite,   syioctl,
/* 3*/  nulldev,   nulldev,   mmread,    mmwrite,   nodev,
/* 4*/  nodev,     nodev,     nodev,     nodev,     nodev,
/* 5*/  dkopen,    dkclose,   dkread,    dkwrite,   dkioctl,
/* 6*/  lpopen,    lpclose,   nodev,     lpwrite,   lpioctl,
/* 7*/  acuopen,   acuclose,  acuread,   acuwrite,  acuioctl,
/* 8*/  gropen,    grclose,   grread,    grwrite,   grioctl,
};

int	bdevcnt=	2;
int	cdevcnt=	9;

dev_t	rootdev=	makedev(1,255);
dev_t	pipedev=	makedev(1,255);
dev_t	swapdev=	makedev(1,255);
daddr_t	swplo=	0;
int	nswap=	8000;


int	(*dinitsw[])()=
{
	(int (*)())0
};

int	ttopen(), ttclose(), ttread(), ttwrite(), ttioctl(), ttin(), ttout();

struct linesw linesw[]=
{
/*0*/	ttopen, ttclose, ttread, ttwrite, ttioctl, ttin, ttout, nulldev,
        0
};

int	linecnt = 1;

#include	"../h/space.h"
