/*
 *	%Z% %M% %I% %D% %Q%
 */




/*
 * THIS FILE CONTAINS CODE WHICH IS SPECIFIC TO THE
 * Tandy Model 6000 COMPUTER. IT MAY REQUIRE CHANGING
 * WHEN MOVING XENIX TO DIFFERENT MACHINE ARCHITECTURES
 * AND CONFIGURATIONS.
 */



#include  "buf.h"
#include  "tty.h"
#include  "proc.h"
#include  "text.h"
#include  "dir.h"
#include  "a.out.h"
#include  "user.h"
#include  "file.h"
#include  "inode.h"
#include  "acct.h"
#include  "mmu.h"
#include  "map.h"
#include  "callo.h"
#include  "mount.h"
#include  "var.h"
#include  "sysinfo.h"
#include  "locking.h"

/* To get "NZ80SER" */
#include  "z80ser.h"

short	ttyhog = (((NCLIST - (NZ80SER * 4)) * CLSIZE) / 4);
int	Timezone = TIMEZONE;
int	Dstflag = DSTFLAG;
int	Cmask = CMASK;
int	Hz = HZ;
int	Maxmem = MAXMEM;

/* Stuff that is configured at boot time */
struct buf	*buf = (struct buf *)0;
struct sysbufs	*_sabufs = (struct sysbufs *)0;
struct hbuf	*hbuf = (struct hbuf *)0;	/* buffer hash table */
struct file	*file = (struct file *)0;
struct inode	*inode = (struct inode *)0;
struct locklist	*locklist = (struct locklist *)0;
struct proc	*proc = (struct proc *)0;
struct text	*text = (struct text *)0;
struct map	*swapmap = (struct map *)0;
struct map	*coremap = (struct map *)0;
struct cblock	*cfree = (struct cblock *)0;

/* Stuff that is not */
struct callo callout[NCALL];
struct mount mount[NMOUNT];
struct sysinfo sysinfo;
struct syswait syswait;

struct var v=
{
	NBUF,
	NSABUF,
	NCALL,
	NINODE,
	(struct inode *)0,
	NFILE,
	(struct file *)0,
	NMOUNT,
	&mount[NMOUNT],
	NPROC,
	(struct proc *)0,
	NTEXT,
	(struct text *)0,
	NCLIST,
	MAXUPRC,
	NFLOCKS,
	NHBUF,
	NHBUF-1,
};
