/*
 *	@(#) ke/include/ke.h 1.1 83/10/01 Copyright Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */

/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECHTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 */

#include "stext.h"

#include <sys/param.h>
#include <sys/stat.h>
#include <stdio.h>
#include <errno.h>

#define	LONGBITS	32
#define RWX		0777
#define CMASK		0377
#define CNULL		(char *)0
#define	NROOT		100			/* Non Suser Id		    */
#define PATH		35
#define TIMEOUT		3
#define NFILDESOP	3			/* # fildes attached to tty */
#define R		0			/* pipe fildes		    */
#define W		1

#define KEPARAM		".keparam"
#define ROOT		"/"
#define DOT		"."
						/* maximum blocks in a file */
#define NBLOCKS		(10 + NINDIR + NINDIR*NINDIR + NINDIR*NINDIR*NINDIR)
#define	MAXFSIZE	(NBLOCKS * BSIZE)	/* max file size */
#define NIO		(BSIZE + 88)		/* NIO > BSIZE */
#define	NPIPEB		10			/* max # blocks	in a pipe */


/* psuedo functions */

#define mktmpf(m)	mktf(tmpf, m)
#define rmtmpf(fd)	rmtf(tmpf, fd)
#define mktmpd(m)	mktd(tmpd, m)
#define rmtmpd()	rmtd(tmpd)
#define mkmntd(m)	mktd(mntdir, m)
#define rmmntd()	rmtd(mntdir)

#define ioreset(fd)	try((lseek(fd, 0L, 0)==0)?0:-1, Slseek);
#define	LTOI(x)		(((x)==-1L)?-1:0)

/*
 * extern definitions
 */

extern int	errno;
extern long 	failed;
extern char	mntdirp[], 	stextf[], 	core[];
extern char 	tmpd[],		tmpf[],		tmpp[],		mntdir[];

extern char	Schmod[],	Sclose[],	Sfcntl[],	Sfstat[],
		Skill[],	Slseek[],	Sopen[],	Spipe[],
		Sread[],	Ssignal[],	Sstat[],	Stime[],
		Sunlink[],	Swait[],	Swrite[];

extern long lseek();
extern char *mktemp();
