#include <stdio.h>

long	lseek();

char	rfd0[] = "/dev/rfd0";
char	rfd1[] = "/dev/rfd1";

#define RSIZE	(16 * 512)
char	buff0[RSIZE];
char	buff1[RSIZE];

main()
{
	register int	fd0, fd1, rval;
	long		pos;

	fd0 = open(rfd0, 0);
	if (fd0 < 0)
		perror(rfd0);
	fd1 = open(rfd1, 0);
	if (fd0 < 0)
		perror(rfd1);

	for ( ; ; ) {
		pos = lseek(fd0, 0L, 1);
		rval = read(fd0, buff0, RSIZE);
		if (rval == 0)
			break;
		if (rval != RSIZE) {
			perror(rfd0);
			exit(1);
		}
		if (read(fd1, buff1, RSIZE) != RSIZE) {
			perror(rfd1);
			exit(1);
		}

		cmp(buff0, buff1, RSIZE, pos);
	}

	close(fd0);
	close(fd1);
}

cmp(b1, b2, count, pos)
  register char	*b1, *b2;
  int	count;
  long	pos;
{
	register int	n = count;

	while (n--) {
		if (*b1++ != *b2++) {
			fprintf(stderr, "Disks differ: track %d, byte %d = %2x %2x\n",
					pos / RSIZE,
					count - n + 1,
					b1[-1],
					b2[-1]);
			exit(1);
		}
	}
}
