/*
 *	Tandy 68000/XENIX serial driver's defines
 */

#define	SPL	spl4
#define	q3	tp->t_outq

#define	TRUE	1
#define	FALSE	0

#define	MODEMON	1	/* arg to modem routine */
#define	MODEMOFF 0	/* as above */

#define	CONSOLE	0	/* minor number of console device */

typedef unsigned int	u_int;
typedef unsigned short	u_short;
typedef unsigned char	u_char;



/*
 *  Defines for serstat[]
 */
#define	ACUOPEN		0x01	/* Flag to indicate dialer has been opened */
#define ONLINE		0x02	/* Flag to indicate line in use */
#define ACURQST		0x04	/* Flag to seropen() showing ACU open request */
#define LINEOPEN	0x08	/* Flag to indicate that we opened the line */

#define	WASCL		0x10	/* CLOCAL was set last time through here */
#define	INITTED		0x20	/* The CLOCAL bit has been initialized */
#define DOPARAM		0x40	/* serparam() needs to be called */
#define BRKRCVD		0x80	/* A break was just received on this line */
